PDFRendererContextConstants (Apache FOP Core 2.11 API)
Date: 2025-04-24

org.apache.fop.render.pdf

## Interface PDFRendererContextConstants

- All Superinterfaces:
    RendererContextConstants
  All Known Implementing Classes:
    PDFSVGHandler

      public interface PDFRendererContextConstants
      extends RendererContextConstants

  Defines a number of standard constants (keys) for use by the RendererContext class.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `PDF_CONTEXT` The current PDF page for page renference and as a resource context.
    `static String` | `PDF_DOCUMENT` The PDF document that this image is being drawn into.
    `static String` | `PDF_FONT_INFO` The current font information for the pdf renderer.
    `static String` | `PDF_FONT_NAME` The current pdf font name.
    `static String` | `PDF_FONT_SIZE` The current pdf font size.
    `static String` | `PDF_PAGE` The current PDF page for page renference and as a resource context.
    `static String` | `PDF_STREAM` The current PDF stream to draw directly to.

    - ### Fields inherited from interface org.apache.fop.render.RendererContextConstants

      `FOREIGN_ATTRIBUTES, HANDLER_CONFIGURATION, HEIGHT, OUTPUT_STREAM, PAGE_VIEWPORT, WIDTH, XPOS, YPOS`

- - ### Field Detail

    - #### PDF_DOCUMENT

          static final String PDF_DOCUMENT

      The PDF document that this image is being drawn into.
      See Also:
        Constant Field Values

    - #### PDF_PAGE

          static final String PDF_PAGE

      The current PDF page for page renference and as a resource context.
      See Also:
        Constant Field Values

    - #### PDF_CONTEXT

          static final String PDF_CONTEXT

      The current PDF page for page renference and as a resource context.
      See Also:
        Constant Field Values

    - #### PDF_STREAM

          static final String PDF_STREAM

      The current PDF stream to draw directly to.
      See Also:
        Constant Field Values

    - #### PDF_FONT_INFO

          static final String PDF_FONT_INFO

      The current font information for the pdf renderer.
      See Also:
        Constant Field Values

    - #### PDF_FONT_NAME

          static final String PDF_FONT_NAME

      The current pdf font name.
      See Also:
        Constant Field Values

    - #### PDF_FONT_SIZE

          static final String PDF_FONT_SIZE

      The current pdf font size.
      See Also:
        Constant Field Values

Copyright © 2025 Apache Software Foundation. All rights reserved.